<?php
/*---------------------------------------------------------------------------+
| Pimped-Fusion Content Management System
| Copyright (C) 2009 - 2010
| http://www.pimped-fusion.net
+----------------------------------------------------------------------------+
| Filename: _install/setup.php
| Version: Pimped Fusion v0.09.03
+----------------------------------------------------------------------------+
| based on PHP-Fusion CMS v7.01 by Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------------------------------+
| This program is released as free software under the Affero GPL license.
| You can redistribute it and/or modify it under the terms of this license
| which you can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this copyright header is
| strictly prohibited without written permission from the original author(s).
+---------------------------------------------------------------------------*/
define("FUSION_SELF", basename($_SERVER['PHP_SELF']));

define("PIF_VERSION", "0.09.03"); // Pimped-Fusion Version
define("CORE_VERSION", "7.01.00"); // Core-Version
define("IN_FUSION", true);
define("PIMPED_FUSION", true);
define("ENGINE", "ENGINE=MyISAM");
define("CHARSET", "CHARACTER SET utf8 COLLATE utf8_general_ci");

$path = '../';

require_once $path."includes/"."encrypt_password_include.php";
require_once $path."includes/"."user_levels_include.php";

// Step 9
if(isset($_GET['step']) && $_GET['step'] == "9") $_POST['step'] = "9";

// query to mySQL database
function dbquery($query) {
	$result = @mysql_query($query);
	if (!$result) {
		echo mysql_error();
		return false;
	} else {
		return $result;
	}
}

function dbrows($query) {
	$result = @mysql_num_rows($query);
	return $result;
}

if (function_exists('mysql_set_charset') === false) {
	function mysql_set_charset($charset, $link_identifier = null) {
		if ($link_identifier == null) {
			return mysql_query('SET NAMES "'.$charset.'"');
		} else {
			return mysql_query('SET NAMES "'.$charset.'"', $link_identifier);
		}
	}
}

// connect to database
function dbconnect($db_host, $db_user, $db_pass, $db_name, $db_charset = 'UTF8') {
	global $db_connect;
	$db_connect = @mysql_connect($db_host, $db_user, $db_pass);
	$db_select = @mysql_select_db($db_name);
	if (!$db_connect) {
		return false;
	} else {
		$db_charset = mysql_set_charset($db_charset, $db_connect);
		return true;
	}
}

// Strip Input Function, prevents HTML in unwanted places
function stripinput($text) {
	if (ini_get('magic_quotes_gpc')) $text = stripslashes($text);
	$search = array("\"", "'", "\\", '\"', "\'", "<", ">", "&nbsp;");
	$replace = array("&quot;", "&#39;", "&#92;", "&quot;", "&#39;", "&lt;", "&gt;", " ");
	$text = str_replace($search, $replace, $text);
	return $text;
}

// Validate numeric input
function isnum($value) {
	if (!is_array($value)) {
		return (preg_match("/^[0-9]+$/", $value));
	} else {
		return false;
	}
}

// Create a list of files or folders and store them in an array
function makefilelist($folder, $filter, $sort=true, $type="files") {
	$res = array();
	$filter = explode("|", $filter); 
	$temp = opendir($folder);
	while ($file = readdir($temp)) {
		if ($type == "files" && !in_array($file, $filter)) {
			if (!is_dir($folder.$file)) $res[] = $file;
		} elseif ($type == "folders" && !in_array($file, $filter)) {
			if (is_dir($folder.$file)) $res[] = $file;
		}
	}
	closedir($temp);
	if ($sort) sort($res);
	return $res;
}

// Create a selection list from an array created by makefilelist()
function makefileopts($files, $selected = "") {
	$res = "";
	for ($i=0; $i < count($files); $i++) {
		$sel = ($selected == $files[$i] ? " selected='selected'" : "");
		$res .= "<option value='".$files[$i]."'$sel>".$files[$i]."</option>\n";
	}
	return $res;
}

// Select localeset
if(isset($_GET['localeset']) && !isset($_POST['localeset'])) $_POST['localeset'] = $_GET['localeset'];
if(isset($_POST['localeset']) && file_exists($path."locale/".$_POST['localeset']) && is_dir($path."locale/".$_POST['localeset'])) {
	include $path."locale/".$_POST['localeset']."/admin/main.php"; // for Admin Sections
	include $path."locale/".$_POST['localeset']."/setup.php";
} else {
	$_POST['localeset'] = "English";
	include $path."locale/English/admin/main.php"; // for Admin Sections
	include $path."locale/English/setup.php";
}

// Random Chars
function random_chars($a) {
	$nums = '';
	$chars  = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVXYZ1234567890";
	srand((double)microtime()*1000000);
	for($i = 0; $i < $a; $i++) {
		$nums .= substr($chars,(rand()%(strlen ($chars))), 1);
	} 
	return $nums; 
}

echo "
<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01//EN\" \"http://www.w3.org/TR/html4/strict.dtd\">
<head>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=".$locale['charset']."\">
<link rel='stylesheet' href='".$path."themes/templates/setup_styles.css' type='text/css' />
<script type='text/javascript' src='".$path."includes/jscripts/jquery.js'></script>
<script type='text/javascript' src='".$path."includes/jscripts/tooltip.js'></script>
<title>".sprintf($locale['title'], PIF_VERSION)."</title>
</head>\n<body>
<table cellpadding='0' cellspacing='0' width='100%'><tr>
<td class='full-header'><img src='".$path."images/pimped-fusion-logo.png' alt='Pimped-Fusion' /></td>
</tr></table>
<table cellpadding='0' cellspacing='0' width='100%'><tr>
<td class='sub-header'>".sprintf($locale['sub-title'], PIF_VERSION)."</td>
</tr><tr>
<td colspan='2' style='height:10px;background-color:#04688d;'></td>
</tr></table>
<br />\n<br />
<!-- setup-header -->
<form name='setupform' method='post' action='setup.php'>\n
<table align='center' cellpadding='0' cellspacing='1' width='450' class='tbl-border'>\n<tr>\n
<td class='tbl2'><strong>";

if (!isset($_POST['step']) || $_POST['step'] == "" || $_POST['step'] == "1") {
	echo $locale['001'];
} elseif (isset($_POST['step']) && $_POST['step'] == "2") {
	echo $locale['002a'];
} elseif (isset($_POST['step']) && $_POST['step'] == "3") {
	echo $locale['002'];
} elseif (isset($_POST['step']) && $_POST['step'] == "4") {
	echo $locale['003'];
} elseif (isset($_POST['step']) && $_POST['step'] == "5") {
	echo $locale['004'];
} elseif (isset($_POST['step']) && $_POST['step'] == "6") {
	echo $locale['005'];
} elseif (isset($_POST['step']) && $_POST['step'] == "7") {
	echo $locale['006'];
} elseif (isset($_POST['step']) && $_POST['step'] == "8") {
	echo $locale['006a'];
} elseif (isset($_POST['step']) && ($_POST['step'] == "9" || $_POST['step'] == "10")) {
	echo $locale['006b'];
}

echo "</strong></td>\n</tr>\n<tr>\n<td class='tbl1'style='text-align:center'>\n";

if (!isset($_POST['step']) || $_POST['step'] == "" || $_POST['step'] == "1") {
	$locale_files = makefilelist($path."locale/", ".svn|.|..", true, "folders");
	$locale_list = makefileopts($locale_files);
	echo $locale['010']."<br /><br />";
	echo "<select name='localeset' class='textbox' style='margin-top:5px' >\n";
	echo $locale_list."</select><br /><br />\n";
	echo $locale['011']."\n";
	echo "</td>\n</tr>\n<tr>\n<td class='tbl2' style='text-align:center'>\n";
	echo "<input type='hidden' name='step' value='2' />\n";
	echo "<input type='submit' name='next' value='".$locale['007']."' class='button' />\n";
}

if (isset($_POST['step']) && $_POST['step'] == "2") {
	require $path."_install/servercheck.php";
	server_check();
	echo "<br />";
	echo "</td>\n</tr>\n<tr>\n<td class='tbl2' style='text-align:center'>\n";
	echo "<input type='hidden' name='localeset' value='".stripinput($_POST['localeset'])."' />\n";
	echo "<input type='hidden' name='step' value='3' />\n";
	echo "<input type='submit' name='next' value='".$locale['007']."' class='button' />\n";
}

if (isset($_POST['step']) && $_POST['step'] == "3") {
	if (!file_exists($path."config.php")) {
		if (file_exists($path."_config.php") && function_exists("rename")) {
			@rename($path."_config.php", $path."config.php");
		} else {
			$handle = fopen($path."config.php", "w");
			fclose($handle);
		}
	}

	if(isset($_POST['check'])) {
		if(function_exists('ftp_connect') && function_exists('ftp_login') && function_exists('ftp_site')) {

			$host = $_POST['host'];
			$user = $_POST['user'];
			$pwd = $_POST['pwd'];
			$pfad = $_POST['pfad'];

			$ftp_connect = @ftp_connect($host);

			if(!$ftp_connect) {
			echo "<table width='100%' cellpadding='0' cellspacing='1'>
                <tr>
                  <td class='tbl2'><b>".$locale['025'].":</b></td>
                </tr>
                <tr>
                  <td class='tbl2'>".$locale['026']."</td>
                </tr>
              </table>";

			} elseif(!@ftp_login($ftp_connect, $user, $pwd)) {
			echo "<table width='100%' cellpadding='0' cellspacing='1'>
                <tr>
                  <td class='tbl2'><b>".$locale['025']."</b></td>
                </tr>
                <tr>
                  <td class='tbl2'>".$locale['027']."</td>
                </tr>
              </table>";
			} else {

			function ftp_ ($file, $pfad) {
			global $ftp_connect;
			$r = ftp_site($ftp_connect, 'CHMOD 0777 '.$pfad.'/'.$file);
			}

			ftp_('_install',$pfad);
			ftp_('downloads',$pfad);
			ftp_('images',$pfad);
			ftp_('images/imagelist.js',$pfad);  
			ftp_('images/articles',$pfad);  
			ftp_('images/avatars',$pfad);
			ftp_('images/news',$pfad);
			ftp_('images/news/thumbs',$pfad); 
			ftp_('images/news_cats',$pfad);  
			ftp_('images/photoalbum',$pfad);  
			ftp_('images/photoalbum/submissions',$pfad);
			ftp_('forum/attachments',$pfad); 
			ftp_('config.php',$pfad);
			}

			ftp_close($ftp_connect);

		} else {
			echo "<table width='100%' cellpadding='0' cellspacing='1'>
              <tr>
                <td class='tbl2'><b>".$locale['025']."</b></td>
              </tr>
              <tr>
                <td class='tbl2'>".$locale['028']."</td>
              </tr>
            </table>";
		}
	}

	echo $locale['020']."<br /><br />\n";
	echo "<table align='center' cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	
	function ftp_files ($file) {
	global $locale, $path;
		$re = '';
		$re .= "<tr>\n<td class='tbl1'>".$file."</td>\n";
		$re .= "<td class='tbl1' style='text-align:right'>";
		if (file_exists($path.$file) && is_writable($path.$file)) {
			$re .= "<span class='passed'>".$locale['023']."</span>";
		} elseif (file_exists($path.$file) && function_exists("chmod") && @chmod($path.$file, 0777) && is_writable($path.$file)) {
			$re .= "<span class='passed'>".$locale['023']."</span>";
		} else {
			$re .= "<span class='failed'>".$locale['024']."</span> <!-- __isFALSE__ -->";
		}
		$re .= "</td>\n</tr>\n";
	return $re;
	}
	$ftp_list = '';
	$ftp_list .= ftp_files("_install");
	$ftp_list .= ftp_files("downloads");
	$ftp_list .= ftp_files("images");
	$ftp_list .= ftp_files("images/imagelist.js");
	$ftp_list .= ftp_files("images/articles");
	$ftp_list .= ftp_files("images/avatars");
	$ftp_list .= ftp_files("images/news");
	$ftp_list .= ftp_files("images/news/thumbs");
	$ftp_list .= ftp_files("images/news_cats");
	$ftp_list .= ftp_files("images/photoalbum");
	$ftp_list .= ftp_files("images/photoalbum/submissions");
	$ftp_list .= ftp_files("forum/attachments");
	$ftp_list .= ftp_files("config.php");
	
	echo $ftp_list;
	echo "</table><br /><br />\n";

	if(strpos($ftp_list,"__isFALSE__")===false) {
		echo $locale['021']."\n
		</td>\n</tr>\n<tr>\n<td class='tbl2' style='text-align:center'>\n
		<input type='hidden' name='localeset' value='".stripinput($_POST['localeset'])."' />\n
		<input type='hidden' name='step' value='4' />\n
		<input type='submit' name='next' value='".$locale['007']."' class='button' />\n";
	} else {
		echo $locale['022']."\n
</td>\n</tr>\n<tr>\n<td class='tbl2' style='text-align:center'>\n
<input type='hidden' name='localeset' value='".stripinput($_POST['localeset'])."' />\n
<input type='hidden' name='step' value='3' />\n
<input type='submit' name='next' value='".$locale['029']."' class='button' />\n
</td>\n</tr>\n
</table>\n</form>\n
<br />
<table align='center' cellpadding='0' cellspacing='1' width='450' class='tbl-border'>\n<tr>\n
<td class='tbl2'><strong>".$locale['029a']."</strong></td>\n</tr>\n
		<tr>\n<td class='tbl1'style='text-align:center'>\n
<table align='center' cellpadding='0' cellspacing='0' width='100%'>

  <tr>
    <td colspan='4'>".$locale['029b']."<br /><br />
	<strong>".$locale['029c'].":</strong> ".$locale['029d']."<br />
        <strong>".$locale['029e']."</strong> <i>/htdocs/Pimped</i><br />
		<strong>".$locale['029e']."</strong> <i>/html/Pimped</i></td>
  </tr>
  <tr>
    <td height='10'></td>
  </tr>
<form name='setupform' method='post' action='setup.php'>\n
	<input type='hidden' name='localeset' value='".stripinput($_POST['localeset'])."' />\n
	<input type='hidden' name='step' value='3' />\n
	<input type='hidden' name='check' value='chmod'>\n
  <tr>
    <td><strong>".$locale['029f'].":</strong></td><td><input type='text' name='host' value='".$_POST['host']."'></td>
    <td><strong>".$locale['029g'].":</strong></td><td><input type='text' name='pfad' value='".$_POST['pfad']."'></td>
  </tr>
  <tr>
    <td><strong>".$locale['029h'].":</strong></td><td><input type='text' name='user' value='".$_POST['user']."'></td>
    <td><strong>".$locale['029i'].":</strong></td><td><input type='password' name='pwd' value='".$_POST['pwd']."'></td>
  </tr>
  <tr>
    <td height='10'></td>
  </tr>
  <tr>
    <td colspan='4' align='center' class='tbl2'><input class='button' type='submit' value='".$locale['029j']."'><br /></td>
  </tr>
</form>
</table>";
	}
}

if (isset($_POST['step']) && $_POST['step'] == "4") {
	
	$db_host = (isset($_POST['db_host']) ? stripinput(trim($_POST['db_host'])) : "localhost");
	$db_user = (isset($_POST['db_user']) ? stripinput(trim($_POST['db_user'])) : "");
	$db_name = (isset($_POST['db_name']) ? stripinput(trim($_POST['db_name'])) : "");
	$db_prefix = (isset($_POST['db_prefix']) ? stripinput(trim($_POST['db_prefix'])) : "PiF_".random_chars(4)."_");
	$cookie_prefix = (isset($_POST['cookie_prefix']) ? stripinput(trim($_POST['cookie_prefix'])) : "PiF_".random_chars(4)."_");
	$db_error = (isset($_POST['db_error']) && isnum($_POST['db_error']) ? $_POST['db_error'] : "0");
	
	$field_class = array("", "", "", "", "");
	if ($db_error > "0") {
		$field_class[2] = " tbl-error";
		if ($db_error == 1) {
			$field_class[1] = " tbl-error";
			$field_class[2] = " tbl-error";
		} elseif ($db_error == 2) {
			$field_class[3] = " tbl-error";
		} elseif ($db_error == 3) {
			$field_class[4] = " tbl-error";
		} elseif ($db_error == 7) {
			if ($db_host == "") { $field_class[0] = " tbl-error"; }
			if ($db_user == "") { $field_class[1] = " tbl-error"; }
			if ($db_name == "") { $field_class[3] = " tbl-error"; }
			if ($db_prefix == "") { $field_class[4] = " tbl-error"; }
		}
	}
	
	echo $locale['030']."<br /><br />\n";
	echo "<table align='center' cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='tbl1'>".$locale['031']."</td>\n";
	echo "<td class='tbl1' style='text-align:right'><input type='text' value='".$db_host."' name='db_host' class='textbox".$field_class[0]."' style='width:200px' /></td>\n</tr>\n";
	echo "<tr>\n<td class='tbl1'>".$locale['032']."</td>\n";
	echo "<td class='tbl1' style='text-align:right'><input type='text' value='".$db_user."' name='db_user' class='textbox".$field_class[1]."' style='width:200px' /></td>\n</tr>\n";
	echo "<tr>\n<td class='tbl1'>".$locale['033']."</td>\n";
	echo "<td class='tbl1' style='text-align:right'><input type='password' value='' name='db_pass' class='textbox".$field_class[2]."' style='width:200px' /></td>\n</tr>\n";
	echo "<tr>\n<td class='tbl1'>".$locale['034']."</td>\n";
	echo "<td class='tbl1' style='text-align:right'><input type='text' value='".$db_name."' name='db_name' class='textbox".$field_class[3]."' style='width:200px' /></td>\n</tr>\n";
	echo "<tr>\n<td class='tbl1'>".$locale['035']."</td>\n";
	echo "<td class='tbl1' style='text-align:right'><input type='text' value='".$db_prefix."' name='db_prefix' class='textbox".$field_class[4]."' style='width:200px' /></td>\n</tr>\n";
	echo "<tr>\n<td class='tbl1'>".$locale['036']."</td>\n";
	echo "<td class='tbl1' style='text-align:right'><input type='text' value='".$cookie_prefix."' name='cookie_prefix' class='textbox' style='width:200px' /></td>\n</tr>\n";
	echo "</table>\n";
	echo "</td>\n</tr>\n<tr>\n<td class='tbl2' style='text-align:center'>\n";
	echo "<input type='hidden' name='localeset' value='".stripinput($_POST['localeset'])."' />\n";
	echo "<input type='hidden' name='step' value='5'>\n";
	echo "<input type='submit' name='next' value='".$locale['007']."' class='button' />\n";
}

if (isset($_POST['step']) && $_POST['step'] == "5") {
	$db_host = (isset($_POST['db_host']) ? stripinput(trim($_POST['db_host'])) : "");
	$db_user = (isset($_POST['db_user']) ? stripinput(trim($_POST['db_user'])) : "");
	$db_pass = (isset($_POST['db_pass']) ? stripinput(trim($_POST['db_pass'])) : "");
	$db_name = (isset($_POST['db_name']) ? stripinput(trim($_POST['db_name'])) : "");
	$db_prefix = (isset($_POST['db_prefix']) ? stripinput(trim($_POST['db_prefix'])) : "");
	if ($db_prefix != "") $db_prefix = substr($db_prefix, -1, 1) == "_" ? $db_prefix : $db_prefix."_";
	$cookie_prefix = (isset($_POST['cookie_prefix']) ? stripinput(trim($_POST['cookie_prefix'])) : "");
	$cookie_prefix = $cookie_prefix != "" ? $cookie_prefix : "PiF_";
	
	if ($db_host != "" && $db_user != "" && $db_name != "" && $db_prefix != "") {
	$db_connect = @mysql_connect($db_host, $db_user, $db_pass);
	if ($db_connect) {
		$db_select = @mysql_select_db($db_name);
		if ($db_select) {
			$db_charset = mysql_set_charset("UTF8", $db_connect);
			if (dbrows(dbquery("SHOW TABLES LIKE '$db_prefix%'")) == "0") {
				$table_name = uniqid($db_prefix, false); $can_write = true;
				$result = dbquery("CREATE TABLE ".$table_name." (test_field VARCHAR(10) NOT NULL) ".ENGINE." ".CHARSET.";");
				if (!$result) { $can_write = false; }
				$result = dbquery("DROP TABLE ".$table_name);
				if (!$result) { $can_write = false; }
				if ($can_write) {
					$config = "<?php\n";
					$config .= "// Pimped-Fusion\n";
					$config .= "// database settings\n";
					$config .= "$"."db_host = "."\"".$db_host."\";\n";
					$config .= "$"."db_user = "."\"".$db_user."\";\n";
					$config .= "\$db_pass = '".$db_pass."';\n";
					$config .= "$"."db_name = "."\"".$db_name."\";\n";
					$config .= "// DB-Prefix\n";
					$config .= "$"."db_prefix = "."\"".$db_prefix."\";\n";
					$config .= "define("."\""."DB_PREFIX"."\"".", "."$"."db_prefix);\n";
					$config .= "// Cookie-Prefix\n";
					$config .= "define("."\""."COOKIE_PREFIX"."\"".", "."\"".$cookie_prefix."\");\n";
					$config .= "// Unique Salt\n";
					$config .= "define("."\""."PIF_SALT"."\"".", "."\"".random_chars(8)."\");\n";
					$config .= "// DO NEVER CHANGE THIS SALT! OTHERWISE YOUR USERS CAN'T LOGIN ANYMORE\n";
					$config .= "// IF YOU MOVE YOUR WEBSITE TO A NEW SERVER, YOU NEED TO ADD THIS SALT IN CONFIG\n";
					$config .= "?>";
					$temp = fopen($path."config.php","w");
					if (fwrite($temp, $config)) {
						fclose($temp);
						$fail = false;
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."admin");
						$result = dbquery("CREATE TABLE ".$db_prefix."admin (
						admin_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						admin_rights CHAR(4) NOT NULL DEFAULT '',
						admin_image VARCHAR(50) NOT NULL DEFAULT '',
						admin_title VARCHAR(50) NOT NULL DEFAULT '',
						admin_link VARCHAR(100) NOT NULL DEFAULT 'reserved',
						admin_page TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
						PRIMARY KEY (admin_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."admin_log");
						$result = dbquery("CREATE TABLE ".$db_prefix."admin_log (
						log_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						u_id MEDIUMINT(8) UNSIGNED NOT NULL,
						cat VARCHAR(100) DEFAULT '',
						forum_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						movedto_forum_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						thread_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						movedto_thread_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						post_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						action TEXT NOT NULL,
						subject VARCHAR(100) DEFAULT '',
						datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
						log_ip VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',
						PRIMARY KEY (log_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."admin_notes");
						$result = dbquery("CREATE TABLE ".$db_prefix."admin_notes (
						note_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						note_name VARCHAR(20) NOT NULL,
						note_text TEXT NOT NULL,
						note_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY (note_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."articles");
						$result = dbquery("CREATE TABLE ".$db_prefix."articles (
						article_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						article_cat MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						article_subject VARCHAR(200) NOT NULL DEFAULT '',
						article_snippet TEXT NOT NULL,
						article_article TEXT NOT NULL,
						article_draft TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						article_breaks CHAR(1) NOT NULL DEFAULT '',
						article_name MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '1',
						article_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
						article_reads MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						article_keywords VARCHAR(200) NOT NULL DEFAULT '',
						article_allow_comments TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
						article_allow_ratings TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
						PRIMARY KEY (article_id),
						KEY article_datestamp (article_datestamp),
						KEY article_reads (article_reads)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."article_cats");
						$result = dbquery("CREATE TABLE ".$db_prefix."article_cats (
						article_cat_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						article_cat_name VARCHAR(100) NOT NULL DEFAULT '',
						article_cat_description VARCHAR(200) NOT NULL DEFAULT '',
						article_cat_language VARCHAR(100) NOT NULL DEFAULT 'all',
						article_cat_sorting VARCHAR(50) NOT NULL DEFAULT 'article_subject ASC',
						article_cat_parent MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						article_cat_access TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY (article_cat_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."bbcodes");
						$result = dbquery("CREATE TABLE ".$db_prefix."bbcodes (
						bbcode_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						bbcode_name VARCHAR(20) NOT NULL DEFAULT '',
						bbcode_order SMALLINT(5) UNSIGNED NOT NULL,
						PRIMARY KEY (bbcode_id),
						KEY bbcode_order (bbcode_order)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."blacklist");
						$result = dbquery("CREATE TABLE ".$db_prefix."blacklist (
						blacklist_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						blacklist_user_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						blacklist_ip VARCHAR(20) NOT NULL DEFAULT '',
						blacklist_email VARCHAR(100) NOT NULL DEFAULT '',
						blacklist_reason TEXT NOT NULL,
						blacklist_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY (blacklist_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
					
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."captcha");
						$result = dbquery("CREATE TABLE ".$db_prefix."captcha (
						captcha_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
						captcha_ip VARCHAR(20) NOT NULL,
						captcha_encode VARCHAR(32) NOT NULL DEFAULT '',
						captcha_string VARCHAR(15) NOT NULL DEFAULT '',
						KEY captcha_datestamp (captcha_datestamp)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."comments");
						$result = dbquery("CREATE TABLE ".$db_prefix."comments (
						comment_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						comment_item_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						comment_type CHAR(2) NOT NULL DEFAULT '',
						comment_name VARCHAR(50) NOT NULL DEFAULT '',
						comment_message TEXT NOT NULL,
						comment_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
						comment_ip VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',
						comment_hidden TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY (comment_id),
						KEY comment_datestamp (comment_datestamp)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
					
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."custom_pages");
						$result = dbquery("CREATE TABLE ".$db_prefix."custom_pages (
						page_id MEDIUMINT(8) NOT NULL AUTO_INCREMENT,
						page_title VARCHAR(200) NOT NULL DEFAULT '',
						page_access TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
						page_content TEXT NOT NULL,
						page_keywords VARCHAR(200) NOT NULL DEFAULT '',
						page_allow_comments TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						page_allow_ratings TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY (page_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
					
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."download_cats");
						$result = dbquery("CREATE TABLE ".$db_prefix."download_cats (
						download_cat_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						download_cat_name VARCHAR(100) NOT NULL DEFAULT '',
						download_cat_description TEXT NOT NULL,
						download_cat_sorting VARCHAR(50) NOT NULL DEFAULT 'download_title ASC',
						download_cat_parent MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						download_cat_access TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY (download_cat_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
					
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."downloads");
						$result = dbquery("CREATE TABLE ".$db_prefix."downloads (
						download_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						download_title VARCHAR(100) NOT NULL DEFAULT '',
						download_description TEXT NOT NULL,
						download_url VARCHAR(200) NOT NULL DEFAULT '',
						download_file VARCHAR(100) NOT NULL DEFAULT '',
						download_cat MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						download_license VARCHAR(50) NOT NULL DEFAULT '',
						download_os VARCHAR(50) NOT NULL DEFAULT '',
						download_version VARCHAR(20) NOT NULL DEFAULT '',
						download_filesize VARCHAR(20) NOT NULL DEFAULT '',
						download_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
						download_count INT(10) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY (download_id),
						KEY download_datestamp (download_datestamp)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."failed_logins");
						$result = dbquery("CREATE TABLE ".$db_prefix."failed_logins (
						log_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						user_id MEDIUMINT(8) UNSIGNED NOT NULL,
						datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
						logged_ip VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',
						PRIMARY KEY(log_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."faq_cats");
						$result = dbquery("CREATE TABLE ".$db_prefix."faq_cats (
						faq_cat_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						faq_cat_name VARCHAR(200) NOT NULL DEFAULT '',
						faq_cat_description VARCHAR(250) NOT NULL DEFAULT '',
						faq_cat_language VARCHAR(100) NOT NULL DEFAULT 'all',
						PRIMARY KEY(faq_cat_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
					
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."faqs");
						$result = dbquery("CREATE TABLE ".$db_prefix."faqs (
						faq_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						faq_cat_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						faq_question VARCHAR(200) NOT NULL DEFAULT '',
						faq_answer TEXT NOT NULL,
						PRIMARY KEY(faq_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
					
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."flood_control");
						$result = dbquery("CREATE TABLE ".$db_prefix."flood_control (
						flood_ip VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',
						flood_timestamp INT(5) UNSIGNED NOT NULL DEFAULT '0',
						KEY flood_timestamp (flood_timestamp)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
					
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."forum_attachments");
						$result = dbquery("CREATE TABLE ".$db_prefix."forum_attachments (
						attach_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						thread_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						post_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						attach_name VARCHAR(100) NOT NULL DEFAULT '',
						attach_ext VARCHAR(5) NOT NULL DEFAULT '',
						attach_size INT(20) UNSIGNED NOT NULL DEFAULT '0',
						attach_counter INT(10) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY (attach_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."forum_observer");
						$result = dbquery("CREATE TABLE ".$db_prefix."forum_observer (
						user_id VARCHAR (64) NOT NULL,
						forum_id MEDIUMINT(8) UNSIGNED NOT NULL,
						thread_id MEDIUMINT(8) UNSIGNED NOT NULL,
						age INT(10) UNSIGNED NOT NULL,
						PRIMARY KEY (user_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."forum_ranks");
						$result = dbquery("CREATE TABLE ".$db_prefix."forum_ranks (
						rank_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						rank_title VARCHAR(100) NOT NULL DEFAULT '',
						rank_image VARCHAR(100) NOT NULL DEFAULT '',
						rank_posts INT(10) UNSIGNED NOT NULL DEFAULT '0',
						rank_apply SMALLINT(5) UNSIGNED NOT NULL DEFAULT '101',
						rank_group SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY (rank_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."forum_report");
						$result = dbquery("CREATE TABLE ".$db_prefix."forum_report (
						report_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						report_user MEDIUMINT(8) UNSIGNED NOT NULL,
						report_post MEDIUMINT(8) UNSIGNED NOT NULL,
						report_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY (report_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."forum_poll_options");
						$result = dbquery("CREATE TABLE ".$db_prefix."forum_poll_options (
						thread_id MEDIUMINT(8) unsigned NOT NULL,
						forum_poll_option_id SMALLINT(5) UNSIGNED NOT NULL,
						forum_poll_option_text VARCHAR(150) NOT NULL,
						forum_poll_option_votes SMALLINT(5) UNSIGNED NOT NULL,
						KEY thread_id (thread_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."forum_poll_voters");
						$result = dbquery("CREATE TABLE ".$db_prefix."forum_poll_voters (
						thread_id MEDIUMINT(8) UNSIGNED NOT NULL,
						forum_vote_user_id MEDIUMINT(8) UNSIGNED NOT NULL,
						forum_vote_user_ip VARCHAR(20) NOT NULL,
						KEY thread_id (thread_id,forum_vote_user_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."forum_polls");
						$result = dbquery("CREATE TABLE ".$db_prefix."forum_polls (
						thread_id MEDIUMINT(8) UNSIGNED NOT NULL,
						forum_poll_title VARCHAR(250) NOT NULL,
						forum_poll_start INT(10) UNSIGNED DEFAULT NULL,
						forum_poll_length iNT(10) UNSIGNED NOT NULL,
						forum_poll_votes SMALLINT(5) unsigned NOT NULL,
						KEY thread_id (thread_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."forums");
						$result = dbquery("CREATE TABLE ".$db_prefix."forums (
						forum_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						forum_cat MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						forum_parent MEDIUMINT(8) NOT NULL DEFAULT '0',
						forum_name VARCHAR(50) NOT NULL DEFAULT '',
						forum_order SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
						forum_description TEXT NOT NULL,
						forum_language VARCHAR(50) NOT NULL DEFAULT 'all',
						forum_moderators TEXT NOT NULL,
						forum_access TEXT NOT NULL,
						forum_post TEXT NOT NULL,
						forum_reply TEXT NOT NULL,
						forum_poll TEXT NOT NULL,
						forum_vote TEXT NOT NULL,
						forum_attach TEXT NOT NULL,
						forum_image VARCHAR(50) NOT NULL DEFAULT '',
						forum_markresolved TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						forum_lastpost INT(10) UNSIGNED NOT NULL DEFAULT '0',
						forum_postcount MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						forum_threadcount MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						forum_lastuser MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY (forum_id),
						KEY forum_order (forum_order),
						KEY forum_lastpost (forum_lastpost),
						KEY forum_postcount (forum_postcount),
						KEY forum_threadcount (forum_threadcount)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."infusions");
						$result = dbquery("CREATE TABLE ".$db_prefix."infusions (
						inf_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						inf_title VARCHAR(100) NOT NULL DEFAULT '',
						inf_folder VARCHAR(100) NOT NULL DEFAULT '',
						inf_version VARCHAR(10) NOT NULL DEFAULT '0',
						PRIMARY KEY (inf_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."messages");
						$result = dbquery("CREATE TABLE ".$db_prefix."messages (
						message_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						message_to MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						message_from MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						message_subject VARCHAR(100) NOT NULL DEFAULT '',
						message_message TEXT NOT NULL,
						message_smileys CHAR(1) NOT NULL DEFAULT '',
						message_read TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						message_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
						message_folder TINYINT(1) UNSIGNED NOT NULL DEFAULT  '0',
						PRIMARY KEY (message_id),
						KEY message_datestamp (message_datestamp)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."messages_options");
						$result = dbquery("CREATE TABLE ".$db_prefix."messages_options (
						user_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						pm_email_notify tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
						pm_save_sent tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
						pm_inbox SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
						pm_savebox SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
						pm_sentbox SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
						PRIMARY KEY (user_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."news");
						$result = dbquery("CREATE TABLE ".$db_prefix."news (
						news_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						news_subject VARCHAR(200) NOT NULL DEFAULT '',
						news_image VARCHAR(100) NOT NULL DEFAULT '',
						news_image_t1 VARCHAR(100) NOT NULL DEFAULT '',
						news_image_t2 VARCHAR(100) NOT NULL DEFAULT '',
						news_cat MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						news_news TEXT NOT NULL,
						news_extended TEXT NOT NULL,
						news_breaks CHAR(1) NOT NULL DEFAULT '',
						news_name MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '1',
						news_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
						news_start INT(10) UNSIGNED NOT NULL DEFAULT '0',
						news_end INT(10) UNSIGNED NOT NULL DEFAULT '0',
						news_visibility TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
						news_reads INT(10) UNSIGNED NOT NULL DEFAULT '0',
						news_draft TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						news_sticky TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						news_keywords VARCHAR(200) NOT NULL DEFAULT '',
						news_allow_comments TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
						news_allow_ratings TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
						PRIMARY KEY (news_id),
						KEY news_datestamp (news_datestamp),
						KEY news_reads (news_reads)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
					
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."news_cats");
						$result = dbquery("CREATE TABLE ".$db_prefix."news_cats (
						news_cat_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						news_cat_name VARCHAR(100) NOT NULL DEFAULT '',
						news_cat_image VARCHAR(100) NOT NULL DEFAULT '',
						news_cat_language VARCHAR(100) NOT NULL DEFAULT 'all',
						PRIMARY KEY (news_cat_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."new_users");
						$result = dbquery("CREATE TABLE ".$db_prefix."new_users (
						user_code VARCHAR(32) NOT NULL,
						user_email VARCHAR(100) NOT NULL,
						user_datestamp INT(10) UNSIGNED DEFAULT '0' NOT NULL,
						user_info TEXT NOT NULL,
						KEY user_datestamp (user_datestamp)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."ratings");
						$result = dbquery("CREATE TABLE ".$db_prefix."ratings (
						rating_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						rating_item_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						rating_type CHAR(1) NOT NULL DEFAULT '',
						rating_user MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						rating_vote TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						rating_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
						rating_ip VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',
						PRIMARY KEY (rating_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."tags");
						$result = dbquery("CREATE TABLE ".$db_prefix."tags (
						tag_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						tag_item_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						tag_type CHAR(2) NOT NULL DEFAULT '',
						tag_name VARCHAR(50) NOT NULL DEFAULT '',
						PRIMARY KEY (tag_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."online");
						$result = dbquery("CREATE TABLE ".$db_prefix."online (
						online_user VARCHAR(50) NOT NULL DEFAULT '',
						online_ip VARCHAR(20) NOT NULL DEFAULT '',
						online_lastactive INT(10) UNSIGNED NOT NULL DEFAULT '0'
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."panels");
						$result = dbquery("CREATE TABLE ".$db_prefix."panels (
						panel_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						panel_name VARCHAR(100) NOT NULL DEFAULT '',
						panel_filename VARCHAR(100) NOT NULL DEFAULT '',
						panel_content TEXT NOT NULL,
						panel_side TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
						panel_order SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
						panel_type VARCHAR(20) NOT NULL DEFAULT '',
						panel_access TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
						panel_display TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						panel_status TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY (panel_id),
						KEY panel_order (panel_order)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
									
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."photo_albums");
						$result = dbquery("CREATE TABLE ".$db_prefix."photo_albums (
						album_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						album_title VARCHAR(100) NOT NULL DEFAULT '',
						album_description TEXT NOT NULL,
						album_thumb VARCHAR(100) NOT NULL DEFAULT '',
						album_user MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						album_parent MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						album_access SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
						album_order SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
						album_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY (album_id),
						KEY album_order (album_order),
						KEY album_datestamp (album_datestamp)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
									
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."photos");
						$result = dbquery("CREATE TABLE ".$db_prefix."photos (
						photo_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						album_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						photo_title VARCHAR(100) NOT NULL DEFAULT '',
						photo_description TEXT NOT NULL,
						photo_filename VARCHAR(100) NOT NULL DEFAULT '',
						photo_thumb1 VARCHAR(100) NOT NULL DEFAULT '',
						photo_thumb2 VARCHAR(100) NOT NULL DEFAULT '',
						photo_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
						photo_user MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						photo_views INT(10) UNSIGNED NOT NULL DEFAULT '0',
						photo_order SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
						photo_allow_comments tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
						photo_allow_ratings tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
						PRIMARY KEY (photo_id),
						KEY photo_order (photo_order),
						KEY photo_datestamp (photo_datestamp)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
					
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."votes");
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."poll_votes");
						$result = dbquery("CREATE TABLE ".$db_prefix."poll_votes (
						vote_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						vote_user MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						vote_opt SMALLINT(2) UNSIGNED NOT NULL DEFAULT '0',
						poll_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY (vote_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."polls");
						$result = dbquery("CREATE TABLE ".$db_prefix."polls (
						poll_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						poll_title VARCHAR(200) NOT NULL DEFAULT '',
						poll_opt_0 VARCHAR(200) NOT NULL DEFAULT '',
						poll_opt_1 VARCHAR(200) NOT NULL DEFAULT '',
						poll_opt_2 VARCHAR(200) NOT NULL DEFAULT '',
						poll_opt_3 VARCHAR(200) NOT NULL DEFAULT '',
						poll_opt_4 VARCHAR(200) NOT NULL DEFAULT '',
						poll_opt_5 VARCHAR(200) NOT NULL DEFAULT '',
						poll_opt_6 VARCHAR(200) NOT NULL DEFAULT '',
						poll_opt_7 VARCHAR(200) NOT NULL DEFAULT '',
						poll_opt_8 VARCHAR(200) NOT NULL DEFAULT '',
						poll_opt_9 VARCHAR(200) NOT NULL DEFAULT '',
						poll_started INT(10) UNSIGNED NOT NULL DEFAULT '0',
						poll_ended INT(10) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY (poll_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."posts");
						$result = dbquery("CREATE TABLE ".$db_prefix."posts (
						forum_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						thread_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						post_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						post_message TEXT NOT NULL,
						post_showsig TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						post_smileys TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
						post_author MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						post_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
						post_ip VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',
						post_edituser MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						post_edittime INT(10) UNSIGNED NOT NULL DEFAULT '0',
						post_attachments TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
						post_hidden TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY (post_id),
						KEY thread_id (thread_id),
						KEY post_datestamp (post_datestamp)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."post_ratings");
						$result = dbquery("CREATE TABLE ".$db_prefix."post_ratings (
						rate_id mediumint(6) NOT NULL auto_increment,
						rate_type mediumint(6) NOT NULL default '0',
						rate_user mediumint(6) NOT NULL default '0',
						rate_post mediumint(6) NOT NULL default '0',
						rate_by mediumint(6) NOT NULL default '0',
						PRIMARY KEY  (rate_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."post_rating_types");
						$result = dbquery("CREATE TABLE ".$db_prefix."post_rating_types (
						type_id mediumint(6) NOT NULL auto_increment,
						type_name varchar(200) NOT NULL default '',
						type_icon varchar(200) NOT NULL default '',
						PRIMARY KEY  (type_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."secure_registration");
						$result = dbquery("CREATE TABLE ".$db_prefix."secure_registration (
						id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
						question TEXT NOT NULL,
						response TEXT NOT NULL,
						PRIMARY KEY (id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."sessions");
						$result = dbquery("CREATE TABLE ".$db_prefix."sessions (
						session_id varchar(32) NOT NULL,
						session_started int(10) unsigned NOT NULL default '0',
						session_expire int(10) unsigned NOT NULL default '0',
						session_ip varchar(20) NOT NULL,
						session_data text NOT NULL
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }

						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."settings");
						$result = dbquery("CREATE TABLE ".$db_prefix."settings (
						settings_name VARCHAR(200) NOT NULL DEFAULT '',
						settings_value TEXT NOT NULL,
						PRIMARY KEY (settings_name)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }

						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."settings_inf");
						$result = dbquery("CREATE TABLE ".$db_prefix."settings_inf (
						settings_name VARCHAR(200) NOT NULL DEFAULT '',
						settings_value TEXT NOT NULL,
						settings_inf VARCHAR(200) NOT NULL DEFAULT '',
						PRIMARY KEY (settings_name)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."shoutbox");
						$result = dbquery("CREATE TABLE ".$db_prefix."shoutbox (
						shout_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						shout_name VARCHAR(50) NOT NULL DEFAULT '',
						shout_message VARCHAR(200) NOT NULL DEFAULT '',
						shout_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
						shout_ip VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',
						shout_hidden TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						shout_language VARCHAR(100) NOT NULL DEFAULT 'all',
						PRIMARY KEY (shout_id),
						KEY shout_datestamp (shout_datestamp)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."site_links");
						$result = dbquery("CREATE TABLE ".$db_prefix."site_links (
						link_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						link_name VARCHAR(100) NOT NULL DEFAULT '',
						link_url VARCHAR(200) NOT NULL DEFAULT '',
						link_seo_url VARCHAR(200) NOT NULL DEFAULT '',
						link_visibility SMALLINT(3) NOT NULL DEFAULT '0',
						link_position TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
						link_window TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						link_order SMALLINT(2) UNSIGNED NOT NULL DEFAULT '0',
						link_language VARCHAR(100) NOT NULL DEFAULT 'all',
						PRIMARY KEY (link_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."smileys");
						$result = dbquery("CREATE TABLE ".$db_prefix."smileys (
						smiley_id MEDIUMINT(8) UNSIGNED NOT NULL auto_increment,
						smiley_code VARCHAR(50) NOT NULL,
						smiley_image VARCHAR(100) NOT NULL,
						smiley_text VARCHAR(100) NOT NULL,
						PRIMARY KEY (smiley_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."submissions");
						$result = dbquery("CREATE TABLE ".$db_prefix."submissions (
						submit_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						submit_type CHAR(1) NOT NULL,
						submit_user MEDIUMINT(8) UNSIGNED DEFAULT '0' NOT NULL,
						submit_datestamp INT(10) UNSIGNED DEFAULT '0' NOT NULL,
						submit_criteria TEXT NOT NULL,
						PRIMARY KEY (submit_id) 
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
					
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."suspends");
						$result = dbquery("CREATE TABLE ".$db_prefix."suspends (
						suspend_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						suspended_user MEDIUMINT(8) UNSIGNED NOT NULL,
						suspending_admin MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '1',
						suspend_ip VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',
						suspend_date INT(10) NOT NULL DEFAULT '0',
						suspend_reason TEXT NOT NULL,
						suspend_type TINYINT(1) NOT NULL DEFAULT '0',
						reinstating_admin MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '1',
						reinstate_reason TEXT NOT NULL,
						reinstate_date INT(10) NOT NULL DEFAULT '0',
						reinstate_ip VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',
						PRIMARY KEY (suspend_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
					
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."threads");
						$result = dbquery("CREATE TABLE ".$db_prefix."threads (
						forum_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						thread_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						thread_subject VARCHAR(100) NOT NULL DEFAULT '',
						thread_description VARCHAR(100) NOT NULL DEFAULT '',
						thread_author MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						thread_views MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						thread_lastpost INT(10) UNSIGNED NOT NULL DEFAULT '0',
						thread_lastpostid MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						thread_lastuser MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						thread_postcount SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
						thread_poll TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						thread_sticky TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						thread_locked TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						thread_resolved TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						thread_hidden TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY (thread_id),
						KEY thread_postcount (thread_postcount),
						KEY thread_lastpost (thread_lastpost),
						KEY thread_views (thread_views)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."thread_notify");
						$result = dbquery("CREATE TABLE ".$db_prefix."thread_notify (
						thread_id MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						notify_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
						notify_user MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						notify_status tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
						KEY notify_datestamp (notify_datestamp)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }

						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."user_field_cats");
						$result = dbquery("CREATE TABLE ".$db_prefix."user_field_cats (
						field_cat_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						field_cat_name VARCHAR(200) NOT NULL,
						field_cat_order SMALLINT(5) UNSIGNED NOT NULL,
						PRIMARY KEY (field_cat_id) 
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."user_fields");
						$result = dbquery("CREATE TABLE ".$db_prefix."user_fields (
						field_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						field_name VARCHAR(50) NOT NULL,
						field_cat MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '1',
						field_order SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY (field_id),
						KEY field_order (field_order)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."user_groups");
						$result = dbquery("CREATE TABLE ".$db_prefix."user_groups (
						group_id TINYINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
						group_name VARCHAR(100) NOT NULL,
						group_rights TEXT NOT NULL,
						group_description VARCHAR(200) NOT NULL,
						PRIMARY KEY (group_id) 
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."users");
						$result = dbquery("CREATE TABLE ".$db_prefix."users (
						user_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						user_name VARCHAR(30) NOT NULL DEFAULT '',
						user_password VARCHAR(32) NOT NULL DEFAULT '',
						user_admin_password VARCHAR(32) NOT NULL DEFAULT '',
						user_email VARCHAR(100) NOT NULL DEFAULT '',
						user_hide_email TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
						user_avatar VARCHAR(100) NOT NULL DEFAULT '',
						user_posts SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
						user_threads TEXT NOT NULL,
						user_joined INT(10) UNSIGNED NOT NULL DEFAULT '0',
						user_lastvisit INT(10) UNSIGNED NOT NULL DEFAULT '0',
						user_ip VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',
						user_rights TEXT NOT NULL,
						user_groups TEXT NOT NULL,
						user_level TINYINT(3) UNSIGNED NOT NULL DEFAULT '101',
						user_status TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
						user_actiontime INT(10) UNSIGNED NOT NULL DEFAULT '0',
						user_theme VARCHAR(100) NOT NULL DEFAULT 'Default',
						user_language VARCHAR(50) NOT NULL DEFAULT '',
						user_location VARCHAR(50) NOT NULL DEFAULT '',
						user_offset CHAR(5) DEFAULT '0',
						user_birthdate DATE NOT NULL DEFAULT '0000-00-00',
						user_aim VARCHAR(16) NOT NULL DEFAULT '',
						user_icq VARCHAR(15) NOT NULL DEFAULT '',
						user_msn VARCHAR(100) NOT NULL DEFAULT '',
						user_yahoo VARCHAR(100) NOT NULL DEFAULT '',
						user_web VARCHAR(200) NOT NULL DEFAULT '',
						user_trank VARCHAR(100) NOT NULL DEFAULT '',
						user_sig TEXT NOT NULL,
						PRIMARY KEY (user_id),
						UNIQUE KEY user_name (user_name),
						UNIQUE KEY user_email (user_email),
						KEY user_joined (user_joined),
						KEY user_lastvisit (user_lastvisit)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
					
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."weblink_cats");
						$result = dbquery("CREATE TABLE ".$db_prefix."weblink_cats (
						weblink_cat_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						weblink_cat_name VARCHAR(100) NOT NULL DEFAULT '',
						weblink_cat_description TEXT NOT NULL,
						weblink_cat_language VARCHAR(100) NOT NULL DEFAULT 'all',
						weblink_cat_sorting VARCHAR(50) NOT NULL DEFAULT 'weblink_name ASC',
						weblink_cat_parent MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						weblink_cat_access TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY(weblink_cat_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."weblinks");
						$result = dbquery("CREATE TABLE ".$db_prefix."weblinks (
						weblink_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
						weblink_name VARCHAR(100) NOT NULL DEFAULT '',
						weblink_description TEXT NOT NULL,
						weblink_url VARCHAR(200) NOT NULL DEFAULT '',
						weblink_cat MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
						weblink_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
						weblink_count SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
						PRIMARY KEY(weblink_id),
						KEY weblink_datestamp (weblink_datestamp),
						KEY weblink_count (weblink_count)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."warning");
						$result = dbquery("CREATE TABLE ".$db_prefix."warning (
						warn_id int(10) unsigned NOT NULL auto_increment,
						warn_kind varchar(100) NOT NULL default '',
						user_id smallint(7) unsigned NOT NULL default '0',
						post_id smallint(5) unsigned NOT NULL default '0',
						thread_id smallint(5) unsigned NOT NULL default '0',
						forum_id smallint(5) unsigned NOT NULL default '0',
						warn_subject varchar(100) NOT NULL default '',
						warn_message text NOT NULL,
						warn_point int(3) unsigned NOT NULL default '0',
						warn_admin smallint(7) unsigned NOT NULL default '1',
						warn_datestamp int(10) unsigned NOT NULL default '0',
						PRIMARY KEY  (warn_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }
						
						$result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."warning_catalog");
						$result = dbquery("CREATE TABLE ".$db_prefix."warning_catalog (
						warn_id int(10) unsigned NOT NULL auto_increment,
						warn_kind varchar(100) NOT NULL default '',
						warn_subject varchar(100) NOT NULL default '',
						warn_point int(3) unsigned NOT NULL default '0',
						warn_length int(4) unsigned NOT NULL default '0',
						PRIMARY KEY  (warn_id)
						) ".ENGINE." ".CHARSET.";");
						if (!$result) { $fail = true; }

						if (!$fail) {
							echo "<br />\n".$locale['040']."<br /><br />\n";
							echo $locale['041']."<br /><br />\n";
							echo $locale['042']."<br /><br />\n";
							$success = true;
							$db_error = 0;
						} else {
							echo "<br />\n".$locale['040']."<br /><br />\n";
							echo $locale['041']."<br /><br />\n";
							echo "<strong>".$locale['043']."</strong> ".$locale['048']."<br /><br />\n";
							$success = false;
							$db_error = 6;
						}
					} else {
						echo "<br />\n".$locale['040']."<br /><br />\n";
						echo "<strong>".$locale['043']."</strong> ".$locale['046']."<br />\n";
						echo "<span class='small'>".$locale['047']."</span><br /><br />\n";
						$success = false;
						$db_error = 5;
					}
				} else {
					echo "<br />\n".$locale['040']."<br /><br />\n";
					echo "<strong>".$locale['043']."</strong> ".$locale['054']."<br />\n";
					echo "<span class='small'>".$locale['055']."</span><br /><br />\n";
					$success = false;
					$db_error = 4;
				}
			} else {
				echo "<br />\n<strong>".$locale['043']."<strong> ".$locale['052']."<br />\n";
				echo "<span class='small'>".$locale['053']."</span><br /><br />\n";
				$success = false;
				$db_error = 3;
			}
		} else {
			echo "<br />\n<strong>".$locale['043']."<strong> ".$locale['050']."<br />\n";
			echo "<span class='small'>".$locale['051']."</span><br /><br />\n";
			$success = false;
			$db_error = 2;
		}
	} else {
		echo "<br />\n<strong>".$locale['043']."<strong> ".$locale['044']."<br />\n";
		echo "<span class='small'>".$locale['045']."</span><br /><br />\n";
		$success = false;
		$db_error = 1;
	}
	} else {
		echo "<br />\n<strong>".$locale['043']."<strong> ".$locale['056']."<br />\n";
		echo "<span class='small'>".$locale['057']."</span><br /><br />\n";
		$success = false;
		$db_error = 7;
	}
	echo "</td>\n</tr>\n<tr>\n<td class='tbl2' style='text-align:center'>\n";
	echo "<input type='hidden' name='localeset' value='".stripinput($_POST['localeset'])."' />\n";
	if ($success) {
		echo "<input type='hidden' name='step' value='6' />\n";
		echo "<input type='submit' name='next' value='".$locale['007']."' class='button' />\n";
	} else {
		echo "<input type='hidden' name='step' value='4' />\n";
		echo "<input type='hidden' name='db_host' value='".$db_host."' />\n";
		echo "<input type='hidden' name='db_user' value='".$db_user."' />\n";
		echo "<input type='hidden' name='db_name' value='".$db_name."' />\n";
		echo "<input type='hidden' name='db_prefix' value='".$db_prefix."' />\n";
		echo "<input type='hidden' name='cookie_prefix' value='".$cookie_prefix."' />\n";
		echo "<input type='hidden' name='db_error' value='".$db_error."' />\n";
		echo "<input type='submit' name='next' value='".$locale['008']."' class='button' />\n";
	}
}

if (isset($_POST['step']) && $_POST['step'] == "6") {
	$username = (isset($_POST['username']) ? stripinput(trim($_POST['username'])) : "");
	$email = (isset($_POST['email']) ? stripinput(trim($_POST['email'])) : "");
	$error_pass = (isset($_POST['error_pass']) && isnum($_POST['error_pass']) ? $_POST['error_pass'] : "0");
	$error_name = (isset($_POST['error_name']) && isnum($_POST['error_name']) ? $_POST['error_name'] : "0");
	$error_mail = (isset($_POST['error_mail']) && isnum($_POST['error_mail']) ? $_POST['error_mail'] : "0");
	
	$field_class = array("", "", "", "", "", "");
	if ($error_pass == "1" || $error_name == "1" || $error_mail == "1") {
		$field_class = array("", " tbl-error", " tbl-error", " tbl-error", " tbl-error", "");
		if ($error_name == 1) { $field_class[0] = " tbl-error"; }
		if ($error_mail == 1) { $field_class[5] = " tbl-error"; }
	}
	
	echo $locale['060']."<br /><br />\n";
	echo "<table align='center' cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='tbl1'>".$locale['061']."</td>\n";
	echo "<td class='tbl1' style='text-align:right'><input type='text' name='username' value='".$username."' maxlength='30' class='textbox".$field_class[0]."' style='width:200px' /></td></tr>\n";
	echo "<tr>\n<td class='tbl1'><span class='tooltip' title='&lt;strong&gt;".$locale['062']."&lt;/strong&gt;&lt;br/&gt;".$locale['067']."'>".$locale['062']."</span></td>\n";
	echo "<td class='tbl1' style='text-align:right'><input type='password' name='password1' maxlength='20' class='textbox".$field_class[1]."' style='width:200px' /></td></tr>\n";
	echo "<tr>\n<td class='tbl1'>".$locale['063']."</td>\n";
	echo "<td class='tbl1' style='text-align:right'><input type='password' name='password2' maxlength='20' class='textbox".$field_class[2]."' style='width:200px' /></td></tr>\n";
	echo "<tr>\n<td class='tbl1'><span class='tooltip' title='&lt;strong&gt;".$locale['064']."&lt;/strong&gt;&lt;br/&gt;".$locale['067']."'>".$locale['064']."</span></td>\n";
	echo "<td class='tbl1' style='text-align:right'><input type='password' name='admin_password1' maxlength='20' class='textbox".$field_class[3]."' style='width:200px' /></td></tr>\n";
	echo "<tr>\n<td class='tbl1'>".$locale['065']."</td>\n";
	echo "<td class='tbl1' style='text-align:right'><input type='password' name='admin_password2' maxlength='20' class='textbox".$field_class[4]."' style='width:200px' /></td></tr>\n";
	echo "<tr>\n<td class='tbl1'>".$locale['066']."</td>\n";
	echo "<td class='tbl1' style='text-align:right'><input type='text' name='email' value='".$email."' maxlength='100' class='textbox".$field_class[5]."' style='width:200px' /></td></tr>\n";
	echo "</table>\n";
	echo "</td>\n</tr>\n<tr>\n<td class='tbl2' style='text-align:center'>\n";
	echo "<input type='hidden' name='localeset' value='".stripinput($_POST['localeset'])."' />\n";
	echo "<input type='hidden' name='step' value='7' />\n";
	echo "<input type='submit' name='next' value='".$locale['007']."' class='button' />\n";
}

if (isset($_POST['step']) && $_POST['step'] == "7") {
	require_once $path."config.php";
	$dbconnect = dbconnect($db_host, $db_user, $db_pass, $db_name);
	
	$username = (isset($_POST['username']) ? stripinput(trim($_POST['username'])) : "");
	$password1 = (isset($_POST['password1']) ? stripinput(trim($_POST['password1'])) : "");
	$password2 = (isset($_POST['password2']) ? stripinput(trim($_POST['password2'])) : "");
	$admin_password1 = (isset($_POST['admin_password1']) ? stripinput(trim($_POST['admin_password1'])) : "");
	$admin_password2 = (isset($_POST['admin_password2']) ? stripinput(trim($_POST['admin_password2'])) : "");
	$email = (isset($_POST['email']) ? stripinput(trim($_POST['email'])) : "");
	
	$error = ""; $error_pass = "0"; $error_name = "0"; $error_mail = "0";
	
	if ($username == "") {
		$error .= $locale['070b']."<br /><br />\n";
		$error_name = "1";
	} elseif (!preg_match("/^[-0-9A-Z_@\s]+$/i", $username)) {
		$error .= $locale['070']."<br /><br />\n";
		$error_name = "1";
	}
	
	if ($password1 == "" || $password2 == "") {
		$error .= $locale['072b']."<br /><br />\n";
		$error_pass = "1";
	} elseif (preg_match("/^[0-9A-Z@]{6,20}$/i", $password1)) {
		if ($password1 != $password2) {
			$error .= $locale['071']."<br /><br />\n";
			$error_pass = "1";
		}
	} else {
		$error .= $locale['072']."<br /><br />\n";
	}
	
	if ($admin_password1 == "" || $admin_password2 == "") {
		$error .= $locale['075b']."<br /><br />\n";
		$error_pass = "1";
	} elseif (preg_match("/^[0-9A-Z@]{6,20}$/i", $admin_password1)) {
		if ($admin_password1 != $admin_password2) {
			$error .= $locale['073']."<br /><br />\n";
			$error_pass = "1";
		} elseif ($admin_password1 == $password1) {
			$error .= $locale['074']."<br /><br />\n";
			$error_pass = "1";
		}
	} else {
		$error .= $locale['075']."<br /><br />\n";
	}
	
 	if ($email == "") {
		$error .= $locale['076b']."<br /><br />\n";
		$error_mail = "1";
	} elseif (!preg_match("/^[-0-9A-Z_\.]{1,50}@([-0-9A-Z_\.]+\.){1,50}([0-9A-Z]){2,4}$/i", $email)) {
		$error .= $locale['076']."<br /><br />\n";
		$error_mail = "1";
	}
	
	$rows = dbrows(dbquery("SELECT user_id FROM ".$db_prefix."users"));
	
	if ($error == "") {
		if ($rows == 0) {
		
		function insert_set($name, $value) {
			global $db_prefix;
			$result = dbquery("INSERT INTO ".$db_prefix."settings (settings_name, settings_value) VALUES ('".$name."', '".$value."')");
			#if(!$result) die($name);
		}
		
		insert_set("adminmenue_color", "blue");
		insert_set("adminmenue_icons", "1");
		insert_set("adminmenue_nav", "sdmenue");
		insert_set("adminmenue_notes", "0");
		insert_set("adminmenue_userinfo", "0");
		insert_set("adminmenue_version", "1");
		insert_set("ads_vf_show", "0");
		insert_set("ads_vf_code", "Advertising");
		insert_set("ads_vf_name", "Advertising Bot");
		insert_set("ads_vf_display", "2");
		insert_set("ads_in_show", "0");
		insert_set("ads_in_name", "Advertising");
		insert_set("ads_in_code", "This is an advertising panel<br />");
		insert_set("avatar_width", "100");
		insert_set("avatar_height", "100");
		insert_set("avatar_filesize", "15000");
		insert_set("avatar_ratio", "0");
		insert_set("allowtochange_username", "1");
		insert_set("sitename", "Pimped Fusion Powered Website");
		insert_set("sitetitle", "");
		$siteurl = $_SERVER["SERVER_NAME"].substr($_SERVER['PHP_SELF'], 0, -19); # /_install/setup.php
		$siteurl = (strpos($siteurl, "http://") === false && strpos($siteurl, "https://") === false) ? "http://".$siteurl : $siteurl;
		$siteurl = substr($siteurl, -1, 1) == "/" ? $siteurl : $siteurl."/";
		insert_set("siteurl", $siteurl);
		insert_set("sitebanner", "images/pimped-fusion-logo.png");
		insert_set("sitebanner1", "");
		insert_set("sitebanner2", "");
		insert_set("siteemail", "you@yourdomain.com");
		insert_set("siteusername", $username);
		insert_set("siteintro", '<?php
		if(LANGUAGE == \"German\"){
		echo \"<div style=\\\'text-align:center\\\'>Willkommen auf meiner Website</div>\";
		} else {
		echo \"<div style=\\\'text-align:center\\\'>Welcome on my website</div>\";
		}
		?>
		');
		insert_set("siteintro_collapse", "1");
		insert_set("siteintro_collapse_state", "on");
		insert_set("contact_site", '<?php
if(LANGUAGE == \"German\"){
echo "Es gibt viele M&ouml;glichkeiten der Kontaktaufnahme. 
Du kannst mir eine E-Mail an ".hide_email(\$settings[\\\'siteemail\\\'])." senden. 
Wenn du Mitglied bist, kannst du mir auch eine
<a href=\\\'messages.php?msg_send=1\\\'>Private Nachricht</a> senden. 
Alternativ kannst du auch dieses Formular ausf&uuml;llen, welches mir ebenfalls eine E-Mail zusendet.";
} else {
echo "There are several ways you can contact me. You can email me directly at ".hide_email(\$settings[\\\'siteemail\\\']).". 
If you are a Member you can send me a <a href=\\\'messages.php?msg_send=1\\\'>Private Message</a>.
Alternatively, you can fill in the form on this page which sends your message to me via Email.";
}
?>
');
		insert_set("description", "");
		insert_set("keywords", "");
		insert_set("footer", '<div style=\"text-align:center\">Copyright &copy; '.date("Y").'</div>');
		insert_set("opening_page", "news.php");
		insert_set("news_style", "0");
		insert_set("news_thumb_ratio", "0");
		insert_set("news_image_link", "0");
		insert_set("news_thumb_w", "100");
		insert_set("news_thumb_h", "100");
		insert_set("news_photo_max_w", "1800");
		insert_set("news_photo_max_h", "1600");
		insert_set("news_photo_max_b", "150000");
		insert_set("locale", stripinput($_POST['localeset']));
		insert_set("locale_multi", "1");
		insert_set("locale_multi_forum", "0");
		insert_set("locale_multi_shout", "0");
		insert_set("locale_content", "German,English,Russian");
		insert_set("theme", "Gillette_Multicolour_II");
		insert_set("showcomments_avatar", "1");
		insert_set("default_search", "all");
		insert_set("enable_lightbox", "1");
		insert_set("exclude_left", "");
		insert_set("exclude_upper", "");
		insert_set("exclude_lower", "");
		insert_set("exclude_right", "");
		insert_set("extern_avatar_upload", "0");
		insert_set("shortdate", "%d/%m/%Y %H:%M");
		insert_set("longdate", "%B %d %Y %H:%M:%S");
		insert_set("forumdate", "%d-%m-%Y %H:%M");
		insert_set("newsdate", "%B %d %Y");
		insert_set("subheaderdate", "%B %d %Y %H:%M:%S");
		insert_set("timeoffset", "0.0");
		insert_set("numofthreads", "15");
		insert_set("forum_ips", "0");
		insert_set("attachmax", "200000");
		insert_set("attachmentsmax_files", "10");
		insert_set("attachtypes", ".gif,.jpg,.png,.zip,.rar,.tar,.7z");
		insert_set("thread_notify", "1");
		insert_set("forum_cat_icons", "0");
		insert_set("forum_ranks", "0");
		insert_set("forum_edit_lock", "0");
		insert_set("forum_thread_description", "0");
		insert_set("forum_ratings", "0");
		insert_set("forum_double_post_merger", "1");
		insert_set("forum_post_ratings", "1");
		insert_set("forum_similar_threads", "1");
		insert_set("forum_report", "0");
		insert_set("forum_statistics_topposters", "1");
		insert_set("forum_statistics_userstats", "1");
		insert_set("forum_statistics_forumstats", "1");
		insert_set("forum_statistics", "0:0");
		insert_set("forum_statistics_todayonline", "1");
		insert_set("forum_statistics_birthday", "1");
		insert_set("forum_profile_statistics", "1");
		insert_set("forum_show_loc", "0");
		insert_set("forum_show_age", "1");
		insert_set("forum_show_sex", "1");
		insert_set("forum_show_onoff", "1");
		insert_set("forum_show_onoff_color_on", "00FF00");
		insert_set("forum_show_onoff_color_re", "FFFF00");
		insert_set("forum_show_onoff_color_off", "FF0000");
		insert_set("enable_tags", "0");
		insert_set("enable_registration", "1");
		insert_set("email_verification", "1");
		insert_set("admin_activation", "0");
		insert_set("registration_question", "1");
		insert_set("display_validation", "1");
		insert_set("enable_deactivation", "0");
		insert_set("deactivation_period", "365");
		insert_set("deactivation_response", "14");
		insert_set("last_seen_users_show", "10");
		insert_set("last_seen_users_show_more", "10");
		insert_set("last_seen_users_colors", "0");
		insert_set("last_seen_users_color1", "");
		insert_set("last_seen_users_color2", "");
		insert_set("login_method", "cookies");
		insert_set("enable_terms", "0");
		insert_set("license_agreement", "");
		insert_set("license_lastupdate", "0");
		insert_set("thumb_w", "100");
		insert_set("thumb_h", "100");
		insert_set("photo_w", "400");
		insert_set("photo_h", "300");
		insert_set("photo_max_w", "1800");
		insert_set("photo_max_h", "1600");
		insert_set("photo_max_b", "512000");
		insert_set("thumb_compression", "gd2");
		insert_set("thumbs_per_row", "4");
		insert_set("thumbs_per_page", "12");
		insert_set("photo_watermark", "1");
		insert_set("photo_watermark_image", "images/watermark.png");
		insert_set("photo_watermark_text", "0");
		insert_set("photo_watermark_text_color1", "FF6600");
		insert_set("photo_watermark_text_color2", "FFFF00");
		insert_set("photo_watermark_text_color3", "FFFFFF");
		insert_set("photo_watermark_save", "0");
		#insert_set("tinymce_enabled", "0");
		insert_set("wysiwyg_enabled", "0");
		insert_set("smtp_host", "");
		insert_set("smtp_port", "25");
		insert_set("smtp_username", "");
		insert_set("smtp_password", "");
		insert_set("bad_words_enabled", "1");
		insert_set("bad_words", "");
		insert_set("bad_word_replace", "****");
		insert_set("guestposts", "0");
		insert_set("comments_enabled", "1");
		insert_set("ratings_enabled", "1");
		insert_set("ratings_style", "1");
		insert_set("recaptcha_publickey", "");
		insert_set("recaptcha_privatekey", "");
		insert_set("sharethis_thread", "0");
		insert_set("sharethis_article", "0");
		insert_set("sharethis_news", "0");
		insert_set("hide_userprofiles", "0");
		insert_set("hide_groupprofiles", "0");
		insert_set("userthemes", "1");
		insert_set("newsperpage", "11");
		insert_set("news_photo_w", "400");
		insert_set("news_photo_h", "300");
		insert_set("news_image_frontpage", "0");
		insert_set("news_image_readmore", "0");
		insert_set("deactivation_action", "0");
		insert_set("numofshouts", "5");
		insert_set("flood_interval", "15");
		insert_set("flood_autoban", "1");
		insert_set("counter", "2");
		insert_set("version_pimp", PIF_VERSION);
		insert_set("version", CORE_VERSION);
		insert_set("version_checker_tempversion", "0");
		insert_set("version_checker_lastcheck", "0");
		insert_set("seo_url_rewrite", "0");
		insert_set("shoutbox_showavatar", "1");
		insert_set("maintenance", "0");
		insert_set("maintenance_level", "102");
		insert_set("maintenance_message", "Our Site is on Maintenance");
		insert_set("download_max_b", "15000");
		insert_set("download_types", ".zip,.rar,.tar,.bz2,.7z");
		insert_set("articles_per_page", "15");
		insert_set("downloads_per_page", "15");
		insert_set("links_per_page", "15");
		insert_set("posts_per_page", "20");
		insert_set("threads_per_page", "20");
		insert_set("threads_show_next_prev", "0");
		insert_set("cronjob_day", time());
		insert_set("cronjob_hour", time());
		insert_set("cronjob_minute", time());
		insert_set("visitorcounter_enabled", "1");
		insert_set("popular_threads_timeframe", "");
		insert_set("warning_system", "1");
		insert_set("warning_system_shoutbox", "0");
		insert_set("warning_system_comments", "0");
		insert_set("warning_set_visible", "0");
		insert_set("warning_set_usergroup", "102");
		insert_set("warning_set_send_pm", "0");
		insert_set("warning_set_pm_from", "1");
		insert_set("warning_set_pm_to", "1");
		insert_set("welome_panel_dis", "0");
		insert_set("welcome_pm", "0");
		insert_set("welcome_pm_from", "1");
		insert_set("welcome_pm_subject", "Welcome");
		insert_set("welcome_pm_message", 'Welcome {RECEIVER},

on {SITETITLE}

Regards {SENDER}');
		insert_set("welcome_pm_smiley", "y");
		
		function insert_admin($right, $img, $loc, $file, $page) {
			global $db_prefix;
			$result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page)
			 VALUES ('".$right."', '".$img."', '".$loc."', '".$file."', ".$page.")");
		}
		
		insert_admin('AL', 'log.gif', $locale['admin_AL'], 'admin_log.php', 2);
		insert_admin('AD', 'admins.gif', $locale['admin_AD'], 'administrators.php', 2);
		insert_admin('ADS', 'ads.png', $locale['admin_ADS'], 'advertising_system.php', 3);
		insert_admin('GM', 'moderators.gif', $locale['admin_GM'], 'moderators.php', 2);
		insert_admin('AC', 'article_cats.gif', $locale['admin_AC'], 'article_cats.php', 1);
		insert_admin('A', 'articles.gif', $locale['admin_A'], 'articles.php', 1);
		insert_admin('SB', 'banners.gif', $locale['admin_SB'], 'banners.php', 3);
		insert_admin('BB', 'bbcodes.gif', $locale['admin_BB'], 'bbcodes.php', 3);
		insert_admin('B', 'blacklist.gif', $locale['admin_B'], 'blacklist.php', 2);
		insert_admin('C', '', $locale['admin_C'], 'reserved', 2);
		insert_admin('CON', 'contact.gif', $locale['admin_CON'], 'contact_page.php', 1);
		insert_admin('CP', 'c-pages.gif', $locale['admin_CP'], 'custom_pages.php', 1);
		insert_admin('DB', 'db_backup.gif', $locale['admin_DB'], 'db_backup.php', 3);
		insert_admin('DC', 'dl_cats.gif', $locale['admin_DC'], 'download_cats.php', 1);
		insert_admin('D', 'dl.gif', $locale['admin_D'], 'downloads.php', 1);
		insert_admin('F', 'forums.gif', $locale['admin_F'], 'forums.php', 1);
		insert_admin('FQ', 'faq.gif', $locale['admin_FQ'], 'faq.php', 1);
		insert_admin('FMD', '', $locale['admin_FMD'], 'reserved', 2);
		insert_admin('IM', 'images.gif', $locale['admin_IM'], 'images.php', 1);
		insert_admin('I', 'infusions.gif', $locale['admin_I'], 'infusions.php', 3);
		insert_admin('IP', '', $locale['admin_IP'], 'reserved', 3);
		insert_admin('LAN', 'language.gif', $locale['admin_LAN'], 'settings_language.php', 4);
		insert_admin('M', 'members.gif', $locale['admin_M'], 'members.php', 2);
		insert_admin('NC', 'news_cats.gif', $locale['admin_NC'], 'news_cats.php', 1);
		insert_admin('N', 'news.gif', $locale['admin_N'], 'news.php', 1);
		insert_admin('P', 'panels.gif', $locale['admin_P'], 'panels.php', 3);
		insert_admin('PH', 'photoalbums.gif', $locale['admin_PH'], 'photoalbums.php', 1);
		insert_admin('PI', 'phpinfo.gif', $locale['admin_PI'], 'phpinfo.php', 3);
		insert_admin('PO', 'polls.gif', $locale['admin_PO'], 'polls.php', 1);
		insert_admin('S', 'shout.gif', $locale['admin_S'], 'shoutbox.php', 2);
		insert_admin('SEO', 'seo.gif', $locale['admin_SEO'], 'seo_url_rewrite.php', 3);
		insert_admin('SL', 'site_links.gif', $locale['admin_SL'], 'site_links.php', 3);
		insert_admin('SM', 'smileys.gif', $locale['admin_SM'], 'smileys.php', 3);
		insert_admin('SU', 'submissions.gif', $locale['admin_SU'], 'submissions.php', 2);
		insert_admin('U', 'upgrade.gif', $locale['admin_U'], 'upgrade.php', 3);
		insert_admin('UG', 'user_groups.gif', $locale['admin_UG'], 'user_groups.php', 2);
		insert_admin('WC', 'wl_cats.gif', $locale['admin_WC'], 'weblink_cats.php', 1);
		insert_admin('W', 'wl.gif', $locale['admin_W'], 'weblinks.php', 1);
		insert_admin('WAR', 'warnings.gif', $locale['admin_WAR'], 'warnings.php', 2);
		insert_admin('WEL', 'site_links.gif', $locale['admin_WEL'], 'welcome_panel.php', 1);
		insert_admin('S1', 'settings.gif', $locale['admin_S1'], 'settings_main.php', 4);
		insert_admin('S2', 'settings_time.gif', $locale['admin_S2'], 'settings_time.php', 4);
		insert_admin('S3', 'settings_forum.gif', $locale['admin_S3'], 'settings_forum.php', 4);
		insert_admin('S4', 'registration.gif', $locale['admin_S4'], 'settings_registration.php', 4);
		insert_admin('S5', 'settings_photo.gif', $locale['admin_S5'], 'settings_photo.php', 4);
		insert_admin('S6', 'settings_misc.gif', $locale['admin_S6'], 'settings_misc.php', 4);
		insert_admin('S7', 'settings_pm.gif', $locale['admin_S7'], 'settings_messages.php', 4);
		insert_admin('S8', 'settings_news.gif', $locale['admin_S8'], 'settings_news.php', 4);
		insert_admin('S9', 'settings_members.gif', $locale['admin_S9'], 'settings_users.php', 4);
		insert_admin('S10', 'settings_ipp.gif', $locale['admin_S10'], 'settings_ipp.php', 4);
		insert_admin('S11', 'settings_dl.gif', $locale['admin_S11'], 'settings_dl.php', 4);
		insert_admin('S12', 'security.gif', $locale['admin_S12'], 'settings_security.php', 4);
		insert_admin('S13', 'admins.gif', $locale['admin_S13'], 'settings_admin.php', 4);
		insert_admin('UF', 'user_fields.gif', $locale['admin_UF'], 'user_fields.php', 2);
		insert_admin('FR', 'forum_ranks.gif', $locale['admin_FR'], 'forum_ranks.php', 2);
		insert_admin('UFC', 'user_field_cats.gif', $locale['admin_UFC'], 'user_field_cats.php', 2);
		insert_admin('FPR', 'forum_ranks.gif', $locale['092a'], 'forum_post_ratings.php', 5);
		
		$result = dbquery("INSERT INTO ".$db_prefix."users (user_name, user_password, user_admin_password, user_email, user_hide_email, user_offset, user_avatar, user_posts, user_threads, user_joined, user_lastvisit, user_ip, user_rights, user_groups, user_level, user_status, user_theme, user_location, user_birthdate, user_aim, user_icq, user_msn, user_yahoo, user_web, user_sig) VALUES ('".$username."', '".encrypt_pw($password1)."', '".encrypt_pw($admin_password1)."', '".$email."', '1', '0', '', '0', '', '".time()."', '0', '0.0.0.0', 'A.AC.AD.ADS.AL.B.BB.C.CON.CP.DB.DC.D.F.FMD.FQ.FPR.FR.IM.I.IP.LAN.M.N.NC.P.PH.PI.PO.S.SEO.SL.S1.S2.S3.S4.S5.S6.S7.S8.S9.S10.S11.S12.SB.SM.SU.UF.UFC.UG.U.W.WC.WAR.WEL', '', '".nSUPERADMIN."', '0', 'Default', '', '0000-00-00', '', '', '', '', '', '')");

		$result = dbquery("INSERT INTO ".$db_prefix."messages_options (user_id, pm_email_notify, pm_save_sent, pm_inbox, pm_savebox, pm_sentbox) VALUES ('0', '0', '1', '20', '20', '20')");

		$result = dbquery("INSERT INTO ".$db_prefix."bbcodes (bbcode_name, bbcode_order) VALUES ('smiley', '1')");
		$result = dbquery("INSERT INTO ".$db_prefix."bbcodes (bbcode_name, bbcode_order) VALUES ('b', '2')");
		$result = dbquery("INSERT INTO ".$db_prefix."bbcodes (bbcode_name, bbcode_order) VALUES ('i', '3')");
		$result = dbquery("INSERT INTO ".$db_prefix."bbcodes (bbcode_name, bbcode_order) VALUES ('u', '4')");
		$result = dbquery("INSERT INTO ".$db_prefix."bbcodes (bbcode_name, bbcode_order) VALUES ('url', '5')");
		$result = dbquery("INSERT INTO ".$db_prefix."bbcodes (bbcode_name, bbcode_order) VALUES ('mail', '6')");
		$result = dbquery("INSERT INTO ".$db_prefix."bbcodes (bbcode_name, bbcode_order) VALUES ('img', '7')");
		$result = dbquery("INSERT INTO ".$db_prefix."bbcodes (bbcode_name, bbcode_order) VALUES ('center', '8')");
		$result = dbquery("INSERT INTO ".$db_prefix."bbcodes (bbcode_name, bbcode_order) VALUES ('small', '9')");
		$result = dbquery("INSERT INTO ".$db_prefix."bbcodes (bbcode_name, bbcode_order) VALUES ('code', '10')");
		$result = dbquery("INSERT INTO ".$db_prefix."bbcodes (bbcode_name, bbcode_order) VALUES ('quote', '11')");

		$query = dbquery ("INSERT INTO ".$db_prefix."post_rating_types (type_name, type_icon) VALUES('Bad reading', 'book_error.png')" );
		$query = dbquery ("INSERT INTO ".$db_prefix."post_rating_types (type_name, type_icon) VALUES('Disagree', 'cross.png')" );
		$query = dbquery ("INSERT INTO ".$db_prefix."post_rating_types (type_name, type_icon) VALUES('Funny', 'emoticon_evilgrin.png')" );
		$query = dbquery ("INSERT INTO ".$db_prefix."post_rating_types (type_name, type_icon) VALUES('Informative', 'information.png')" );
		$query = dbquery ("INSERT INTO ".$db_prefix."post_rating_types (type_name, type_icon) VALUES('Good Idea', 'lightbulb.png')" );
		$query = dbquery ("INSERT INTO ".$db_prefix."post_rating_types (type_name, type_icon) VALUES('Very Good', 'rosette.png')" );
		$query = dbquery ("INSERT INTO ".$db_prefix."post_rating_types (type_name, type_icon) VALUES('Thanks', 'thanks.png')" );
		$query = dbquery ("INSERT INTO ".$db_prefix."post_rating_types (type_name, type_icon) VALUES('Keep it up', 'thumb_up.png')" );
		$query = dbquery ("INSERT INTO ".$db_prefix."post_rating_types (type_name, type_icon) VALUES('Agree', 'tick.png')" );
		$query = dbquery ("INSERT INTO ".$db_prefix."post_rating_types (type_name, type_icon) VALUES('Code King', 'wand.png')" );
		$query = dbquery ("INSERT INTO ".$db_prefix."post_rating_types (type_name, type_icon) VALUES('Useful', 'wrench.png')" );
		
		$result = dbquery("INSERT INTO ".$db_prefix."smileys (smiley_code, smiley_image, smiley_text) VALUES (':)', 'smile.gif', 'Smile')");
		$result = dbquery("INSERT INTO ".$db_prefix."smileys (smiley_code, smiley_image, smiley_text) VALUES (';)', 'wink.gif', 'Wink')");
		$result = dbquery("INSERT INTO ".$db_prefix."smileys (smiley_code, smiley_image, smiley_text) VALUES (':(', 'sad.gif', 'Sad')");
		$result = dbquery("INSERT INTO ".$db_prefix."smileys (smiley_code, smiley_image, smiley_text) VALUES (':|', 'frown.gif', 'Frown')");
		$result = dbquery("INSERT INTO ".$db_prefix."smileys (smiley_code, smiley_image, smiley_text) VALUES (':o', 'shock.gif', 'Shock')");
		$result = dbquery("INSERT INTO ".$db_prefix."smileys (smiley_code, smiley_image, smiley_text) VALUES (':P', 'pfft.gif', 'Pfft')");
		$result = dbquery("INSERT INTO ".$db_prefix."smileys (smiley_code, smiley_image, smiley_text) VALUES ('B)', 'cool.gif', 'Cool')");
		$result = dbquery("INSERT INTO ".$db_prefix."smileys (smiley_code, smiley_image, smiley_text) VALUES (':D', 'grin.gif', 'Grin')");
		$result = dbquery("INSERT INTO ".$db_prefix."smileys (smiley_code, smiley_image, smiley_text) VALUES (':@', 'angry.gif', 'Angry')");

		$result = dbquery("INSERT INTO ".$db_prefix."news_cats (news_cat_name, news_cat_image) VALUES ('".$locale['180']."', 'bugs.gif')");
		$result = dbquery("INSERT INTO ".$db_prefix."news_cats (news_cat_name, news_cat_image) VALUES ('".$locale['181']."', 'downloads.gif')");
		$result = dbquery("INSERT INTO ".$db_prefix."news_cats (news_cat_name, news_cat_image) VALUES ('".$locale['182']."', 'games.gif')");
		$result = dbquery("INSERT INTO ".$db_prefix."news_cats (news_cat_name, news_cat_image) VALUES ('".$locale['183']."', 'graphics.gif')");
		$result = dbquery("INSERT INTO ".$db_prefix."news_cats (news_cat_name, news_cat_image) VALUES ('".$locale['184']."', 'hardware.gif')");
		$result = dbquery("INSERT INTO ".$db_prefix."news_cats (news_cat_name, news_cat_image) VALUES ('".$locale['185']."', 'journal.gif')");
		$result = dbquery("INSERT INTO ".$db_prefix."news_cats (news_cat_name, news_cat_image) VALUES ('".$locale['186']."', 'members.gif')");
		$result = dbquery("INSERT INTO ".$db_prefix."news_cats (news_cat_name, news_cat_image) VALUES ('".$locale['187']."', 'mods.gif')");
		$result = dbquery("INSERT INTO ".$db_prefix."news_cats (news_cat_name, news_cat_image) VALUES ('".$locale['188']."', 'movies.gif')");
		$result = dbquery("INSERT INTO ".$db_prefix."news_cats (news_cat_name, news_cat_image) VALUES ('".$locale['189']."', 'network.gif')");
		$result = dbquery("INSERT INTO ".$db_prefix."news_cats (news_cat_name, news_cat_image) VALUES ('".$locale['190']."', 'news.gif')");
		$result = dbquery("INSERT INTO ".$db_prefix."news_cats (news_cat_name, news_cat_image) VALUES ('".$locale['191']."', 'php-fusion.gif')");
		$result = dbquery("INSERT INTO ".$db_prefix."news_cats (news_cat_name, news_cat_image) VALUES ('".$locale['192']."', 'security.gif')");
		$result = dbquery("INSERT INTO ".$db_prefix."news_cats (news_cat_name, news_cat_image) VALUES ('".$locale['193']."', 'software.gif')");
		$result = dbquery("INSERT INTO ".$db_prefix."news_cats (news_cat_name, news_cat_image) VALUES ('".$locale['194']."', 'themes.gif')");
		$result = dbquery("INSERT INTO ".$db_prefix."news_cats (news_cat_name, news_cat_image) VALUES ('".$locale['195']."', 'windows.gif')");

		$result = dbquery("INSERT INTO ".$db_prefix."panels (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES ('".$locale['160']."', 'navigation_panel', '', '1', '1', 'file', '0', '0', '1')");
		$result = dbquery("INSERT INTO ".$db_prefix."panels (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES ('".$locale['170']."', 'css_navigation_panel', '', '1', '2', 'file', '0', '0', '0')"); // Pimped
		$result = dbquery("INSERT INTO ".$db_prefix."panels (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES ('".$locale['162']."', 'forum_threads_panel', '', '1', '3', 'file', '0', '0', '0')");
		$result = dbquery("INSERT INTO ".$db_prefix."panels (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES ('".$locale['163']."', 'latest_articles_panel', '', '1', '4', 'file', '0', '0', '0')");
		$result = dbquery("INSERT INTO ".$db_prefix."panels (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES ('".$locale['161']."', 'online_users_panel', '', '1', '5', 'file', '0', '0', '1')");
		$result = dbquery("INSERT INTO ".$db_prefix."panels (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES ('".$locale['169']."', 'last_seen_users_panel', '', '1', '6', 'file', '0', '0', '0')"); // Pimped
		$result = dbquery("INSERT INTO ".$db_prefix."panels (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES ('".$locale['164']."', 'welcome_message_panel', '', '2', '1', 'file', '0', '0', '1')");
		$result = dbquery("INSERT INTO ".$db_prefix."panels (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES ('".$locale['165']."', 'forum_threads_list_panel', '', '2', '2', 'file', '0', '0', '0')");
		$result = dbquery("INSERT INTO ".$db_prefix."panels (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES ('".$locale['166a']."', 'enhanced_user_info_panel', '', '4', 1, 'file', '0', '0', '1')");
		$result = dbquery("INSERT INTO ".$db_prefix."panels (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES ('".$locale['166']."', 'user_info_panel', '', '4', 2, 'file', '0', '0', '0')");
		$result = dbquery("INSERT INTO ".$db_prefix."panels (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES ('Language Switcher', 'language_switcher_panel', '', '4', 3, 'file', '0', '0', '1')"); // Pimped
		$result = dbquery("INSERT INTO ".$db_prefix."panels (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES ('".$locale['167']."', 'member_poll_panel', '', '4', '4', 'file', '0', '0', '0')");
		$result = dbquery("INSERT INTO ".$db_prefix."panels (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES ('".$locale['168']."', 'shoutbox_panel', '', '4', '5', 'file', '0', '0', '1')");

		// Pimped: Site Links with SEO
//////////////////////////////////////////////////////////////////////////////////
		$locale_files = makefilelist($path."locale/", ".svn|.|..", true, "folders");
		$str = "INSERT INTO ".$db_prefix."site_links (link_name, link_url, link_seo_url, link_visibility, link_position, link_window, link_order, link_language";
		foreach ($locale_files as $lname) {
			unset($locale);
			include $path."locale/".$lname."/setup.php";
			$result = dbquery($str.") VALUES ('".$locale['130']."', 'index.php', 'index.html', '0', '2', '0', '1', '".$lname."')");
			$result = dbquery($str.") VALUES ('".$locale['131']."', 'articles.php', 'articles.html', '0', '2', '0', '2', '".$lname."')");
			$result = dbquery($str.") VALUES ('".$locale['132']."', 'downloads.php', 'downloads.html', '0', '2', '0', '3', '".$lname."')");
			$result = dbquery($str.") VALUES ('".$locale['133']."', 'faq.php', 'faq.html', '0', '1', '0', '4', '".$lname."')");
			$result = dbquery($str.") VALUES ('".$locale['134']."', 'forum/index.php', 'forum.html', '0', '2', '0', '5', '".$lname."')");
			$result = dbquery($str.") VALUES ('".$locale['137']."', 'weblinks.php', 'weblinks.html', '0', '2', '0', '6', '".$lname."')");
			$result = dbquery($str.") VALUES ('".$locale['136']."', 'news_cats.php', 'news-category.html', '0', '2', '0', '7', '".$lname."')");
			$result = dbquery($str.") VALUES ('".$locale['135']."', 'contact.php', 'contact.html', '0', '1', '0', '8', '".$lname."')");
			$result = dbquery($str.") VALUES ('".$locale['138']."', 'photogallery.php', 'photogallery.html', '0', '1', '0', '9', '".$lname."')");
			$result = dbquery($str.") VALUES ('".$locale['139']."', 'search.php', 'search.html', '0', '1', '0', '10', '".$lname."')");
			$result = dbquery($str.") VALUES ('---', '---', '101', '1', '0', '11', '".$lname."')");
			$result = dbquery($str.") VALUES ('".$locale['140']."', 'submit.php?stype=l', 'submit-link.html', '101', '1', '0', '12', '".$lname."')");
			$result = dbquery($str.") VALUES ('".$locale['141']."', 'submit.php?stype=n', 'submit-news.html', '101', '1', '0', '13', '".$lname."')");
			$result = dbquery($str.") VALUES ('".$locale['142']."', 'submit.php?stype=a', 'submit-article.html', '101', '1', '0', '14', '".$lname."')");
			$result = dbquery($str.") VALUES ('".$locale['143']."', 'submit.php?stype=p', 'submit-photo.html', '101', '1', '0', '15', '".$lname."')");
		} 
		unset($locale);
		include $path."locale/".$_POST['localeset']."/admin/main.php"; // for Admin Sections
		include $path."locale/".$_POST['localeset']."/setup.php";
////////////////////////////////////////////////////////////////
		$result = dbquery("INSERT INTO ".$db_prefix."secure_registration (question, response) VALUES ('".$locale['250']."', '".$locale['250r']."')");
		$result = dbquery("INSERT INTO ".$db_prefix."secure_registration (question, response) VALUES ('".$locale['251']."', '".$locale['251r']."')");
		$result = dbquery("INSERT INTO ".$db_prefix."secure_registration (question, response) VALUES ('".$locale['252']."', '".$locale['252r']."')");
		$result = dbquery("INSERT INTO ".$db_prefix."secure_registration (question, response) VALUES ('".$locale['253']."', '".$locale['253r']."')");
		$result = dbquery("INSERT INTO ".$db_prefix."secure_registration (question, response) VALUES ('".$locale['254']."', '".$locale['254r']."')");
		$result = dbquery("INSERT INTO ".$db_prefix."secure_registration (question, response) VALUES ('".$locale['255']."', '".$locale['255r']."')");
		
		$result = dbquery("INSERT INTO ".$db_prefix."user_field_cats (field_cat_id, field_cat_name, field_cat_order) VALUES (1, '".$locale['220']."', 1)");
		$result = dbquery("INSERT INTO ".$db_prefix."user_field_cats (field_cat_id, field_cat_name, field_cat_order) VALUES (2, '".$locale['221']."', 2)");
		$result = dbquery("INSERT INTO ".$db_prefix."user_field_cats (field_cat_id, field_cat_name, field_cat_order) VALUES (3, '".$locale['222']."', 3)");
		$result = dbquery("INSERT INTO ".$db_prefix."user_field_cats (field_cat_id, field_cat_name, field_cat_order) VALUES (4, '".$locale['223']."', 4)");
		
		$result = dbquery("INSERT INTO ".$db_prefix."user_fields (field_name, field_cat, field_order) VALUES ('user_location', '2', '1')");
		$result = dbquery("INSERT INTO ".$db_prefix."user_fields (field_name, field_cat, field_order) VALUES ('user_birthdate', '2', '2')");
		$result = dbquery("INSERT INTO ".$db_prefix."user_fields (field_name, field_cat, field_order) VALUES ('user_aim', '1', '3')");
		$result = dbquery("INSERT INTO ".$db_prefix."user_fields (field_name, field_cat, field_order) VALUES ('user_icq', '1', '4')");
		$result = dbquery("INSERT INTO ".$db_prefix."user_fields (field_name, field_cat, field_order) VALUES ('user_msn', '1', '5')");
		$result = dbquery("INSERT INTO ".$db_prefix."user_fields (field_name, field_cat, field_order) VALUES ('user_yahoo', '1', '6')");
		$result = dbquery("INSERT INTO ".$db_prefix."user_fields (field_name, field_cat, field_order) VALUES ('user_web', '1', '7')");
		$result = dbquery("INSERT INTO ".$db_prefix."user_fields (field_name, field_cat, field_order) VALUES ('user_theme', '3', '8')");
		$result = dbquery("INSERT INTO ".$db_prefix."user_fields (field_name, field_cat, field_order) VALUES ('user_trank', '3', '9')");
		$result = dbquery("INSERT INTO ".$db_prefix."user_fields (field_name, field_cat, field_order) VALUES ('user_offset', '3', '10')");
		$result = dbquery("INSERT INTO ".$db_prefix."user_fields (field_name, field_cat, field_order) VALUES ('user_sig', '3', '11')");
		
		$result = dbquery("INSERT INTO ".$db_prefix."forum_ranks VALUES (1, '".$locale['200']."', 'rank_super_admin.gif', 0, ".nSUPERADMIN.", 0)");
		$result = dbquery("INSERT INTO ".$db_prefix."forum_ranks VALUES (2, '".$locale['201']."', 'rank_admin.gif', 0, ".nADMIN.", 0)");
		$result = dbquery("INSERT INTO ".$db_prefix."forum_ranks VALUES (3, '".$locale['202']."', 'rank_mod.gif', 0, ".nMODERATOR.", 0)");
		$result = dbquery("INSERT INTO ".$db_prefix."forum_ranks VALUES (4, '".$locale['203']."', 'rank0.gif', 0, ".nMEMBER.", 0)");
		$result = dbquery("INSERT INTO ".$db_prefix."forum_ranks VALUES (5, '".$locale['204']."', 'rank1.gif', 10, ".nMEMBER.", 0)");
		$result = dbquery("INSERT INTO ".$db_prefix."forum_ranks VALUES (6, '".$locale['205']."', 'rank2.gif', 50, ".nMEMBER.", 0)");
		$result = dbquery("INSERT INTO ".$db_prefix."forum_ranks VALUES (7, '".$locale['206']."', 'rank3.gif', 200, ".nMEMBER.", 0)");
		$result = dbquery("INSERT INTO ".$db_prefix."forum_ranks VALUES (8, '".$locale['207']."', 'rank4.gif', 500, ".nMEMBER.", 0)");
		$result = dbquery("INSERT INTO ".$db_prefix."forum_ranks VALUES (9, '".$locale['208']."', 'rank5.gif', 1000, ".nMEMBER.", 0)");
		}
		
		if (function_exists("chmod")) { @chmod($path."config.php", 0644); }
		
		echo "<br />\n".$locale['240']."<br /><br />\n";
		echo "</td>\n</tr>\n<tr>\n<td class='tbl2' style='text-align:center'>\n";
		echo "<input type='hidden' name='localeset' value='".stripinput($_POST['localeset'])."' />\n";
		echo "<input type='hidden' name='step' value='8' />\n";
		echo "<input type='submit' name='next' value='".$locale['242']."' class='button' />\n";
	} elseif($rows == 0) {
		echo "<br />\n".$locale['077']."<br /><br />\n".$error;
		echo "</td>\n</tr>\n<tr>\n<td class='tbl2' style='text-align:center'>\n";
		echo "<input type='hidden' name='localeset' value='".stripinput($_POST['localeset'])."' />\n";
		echo "<input type='hidden' name='error_pass' value='".$error_pass."' />\n";
		echo "<input type='hidden' name='error_name' value='".$error_name."' />\n";
		echo "<input type='hidden' name='error_mail' value='".$error_mail."' />\n";
		echo "<input type='hidden' name='username' value='".$username."' />\n";
		echo "<input type='hidden' name='email' value='".$email."' />\n";
		echo "<input type='hidden' name='step' value='6' />\n";
		echo "<input type='submit' name='back' value='".$locale['008']."' class='button' />\n";
	} else {
		echo "<br />\n".$locale['240']."<br /><br />\n";
		echo "</td>\n</tr>\n<tr>\n<td class='tbl2' style='text-align:center'>\n";
		echo "<input type='hidden' name='localeset' value='".stripinput($_POST['localeset'])."' />\n";
		echo "<input type='hidden' name='step' value='8' />\n";
		echo "<input type='submit' name='next' value='".$locale['242']."' class='button' />\n";
	}
}
if (isset($_POST['step']) && $_POST['step'] == "8") {

		echo " <br />\n".$locale['241']."<br /><br />
			<script type='text/javascript'>
			setInterval('redir()',10000);
			function redir(){
				document.location.href='".$path."index.php';
			}
			</script>
			";
	if(is_file('setup.php')) {
		unlink('setup.php');
		unlink('update.php');
		unlink('dev.php');
		unlink('servercheck.php');
		unlink('index.php');
		rmdir($path.'_install');
	}

}

if (isset($_POST['step']) && $_POST['step'] == "9") {

echo $locale['243'];

echo "<input type='hidden' name='step' value='10' />
<input type='submit' name='next' value='".$locale['244']."' class='button' />";

}

if (isset($_POST['step']) && $_POST['step'] == "10") {
	require_once $path."config.php";
	$link = dbconnect($db_host, $db_user, $db_pass, $db_name);
	require $path."_install/dev.php";
	insert_sample();

echo "<br />".$locale['245']."<br />";

echo "<input type='hidden' name='step' value='8' />
<input type='submit' name='next' value='".$locale['246']."' class='button' />";

}

echo "</td>\n</tr>\n";
echo "</table>\n</form>\n";
echo "<br />";
echo "</body>\n</html>\n";

if (isset($db_connect) && $db_connect != false) { mysql_close($db_connect); }
?>